#include "syscall.h"
#include "irq.h"
#include "idt.h"

extern void syscallHandler();

int syscallSetup(){
    uint32_t flags, ret;

    disable_IRQs(flags);
    ret =  idt_set_handler(SYSCALL_INTR_NB, (vaddr_t)syscallHandler, 3);
    restore_IRQs(flags);

    return ret;
}

int syscall_execute(int syscallId, const struct cpu_state *user_ctx){
    (void)syscallId;
    (void)user_ctx;
    return 0;
}
